Last Comment Bug 358672 - Create mozilla.com localizer SVN account for Ognyan Kulev
: Create mozilla.com localizer SVN account for Ognyan Kulev
Status: VERIFIED FIXED
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: All All
: -- major (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
:
Mentors:
Depends on:
Blocks: 356627
  Show dependency treegraph
 
Reported: 2006-10-29 17:56 PST by Pascal Chevrel:pascalc(PTO until Sept 2)
Modified: 2010-05-09 14:53 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Pascal Chevrel:pascalc(PTO until Sept 2) 2006-10-29 17:56:27 PST
Create SVN account for :

Name: Ognyan Kulev
Locale: bg
email: ogi@fmi.uni-sofia.bg
SSH key: Bug #292093   

This user will need subversion privs set for :
"projects/mozilla.com/trunk/{locale}".
Comment 1 Jeremy Orem [:oremj] 2006-10-29 23:20:31 PST
Account created.
Comment 2 Reed Loden [:reed] (use needinfo?) 2006-10-29 23:21:49 PST
For anonymous browsing and checkout, use http://svn.mozilla.org

The svn url for locale related checkins/checkouts will be svn+ssh://svn.mozilla.org/projects/mozilla.com/trunk/{locale}/

Your e-mail address will be your svn login as well.  You can pass this user name directly on the svn url in the command line, but some svn clients get confused with commands like this.  In the example below substitute 'email@host.tld' with your e-mail address.

svn co svn+ssh://email@host.tld@svn.mozilla.org/blah

They interpret 'host.tld' to be the svn repository host name and svn.mozilla.org to be the revision.  In unix environments, to get around this (client confusion), put this in your ~/.ssh/config

Host svn.mozilla.org
User email@host.tld

Then, you can simply use "svn co svn+ssh://svn.mozilla.org/blah"

Please refer to copious google search results to get this working on non-unix platforms.
Comment 3 Ognyan Kulev 2006-10-29 23:54:14 PST
I tried to create svn+ssh://svn.mozilla.org/projects/mozilla.com/trunk/bg but I got access denied:

$ svn mkdir svn+ssh://svn.mozilla.org/projects/mozilla.com/trunk/bg
svn: Commit failed (details follow):
svn: Access denied

(I checkout other stuff successfully.)
Comment 4 Reed Loden [:reed] (use needinfo?) 2006-10-29 23:58:53 PST
(In reply to comment #3)
> I tried to create svn+ssh://svn.mozilla.org/projects/mozilla.com/trunk/bg but I
> got access denied...

Adding         bg
Committed revision 967.

Try now. :)
Comment 5 Ognyan Kulev 2006-10-30 00:39:59 PST
$ svn info
Path: .
URL: svn+ssh://svn.mozilla.org/projects/mozilla.com/trunk/bg
Repository UUID: 4eb1ac78-321c-0410-a911-ec516a8615a5
Revision: 967
Node Kind: directory
Schedule: normal
Last Changed Author: reed@reedloden.com
Last Changed Rev: 967
Last Changed Date: 2006-10-30 09:58:20 +0200 (��, 30 ��� 2006)

$ svn status
A      style
A      firefox
A      firefox/2.0
A      firefox/2.0/whatsnew
A      firefox/2.0/whatsnew/index.html
A      firefox/2.0/firstrun
A      firefox/2.0/firstrun/index.html
A      firefox/customize
A      firefox/customize/index.html
A      firefox/community
A      firefox/community/index.html
A      firefox/central
A      firefox/central/index.html
A      firefox/help
A      firefox/help/index.html
A      firefox/about
A      firefox/about/index.html
A      includes
A      includes/header-portal-pages.inc.php
A      includes/header.inc.php
A      includes/footer-portal-pages.inc.php
A      includes/l10n
A      includes/l10n/main.lang
A      includes/footer.inc.php
A      img
A      img/download-all.png
A      img/features.png
A      img/whatsnew-title.png
A      img/its-a-trap-title.png
A      img/customize-title.png
A      img/community-title.png
A      img/products.png
A      img/release-notes.png
A      img/central-title.png
A      img/help-title.png
A      img/vpat.png
A      img/firstrun-title.png
A      js

$ svn commit
[...]
Adding         includes/l10n
Adding         includes/l10n/main.lang
Adding         js
Adding         style
Transmitting file data ........................svn: Commit failed (details follow):
svn: Access denied
svn: Your commit message was left in a temporary file:
svn:    '/home/ogi/scm/mozilla.com/bg/svn-commit.2.tmp'

:-(
Comment 6 Jeremy Orem [:oremj] 2006-10-30 00:54:27 PST
That locale was not created in the auth file either.  It should work now.
Comment 7 Ognyan Kulev 2006-10-30 01:05:58 PST
OK, pages are committed :-)

Note You need to log in before you can comment on or make changes to this bug.